------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-02-27
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(270, 203)
CppScriptMgr:SetViewScale(150)
local Player_1 = CppScriptMgr:AddSimplePlayer(1100100, 269, 202, "", 0, 0)
Player_1:SetDir(6)
Player_1:SetZoomPercent(150)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(273, 200)
Player_2:SetDir(0)
Player_2:SetZoomPercent(150)
Player_2:SetName("")
local Player_11 = CppScriptMgr:AddSimplePlayer(1100520, 275, 205, "", 0, 0)
Player_11:SetZoomPercent(150)
Player_11:SetDir(3)
Player_11:SetHair(177, 1)
local npc_1 = CppScriptMgr:AddSimplePlayer(1064176, 242, 202, "", 0, 0)
npc_1:SetZoomPercent(150)
npc_1:SetHide(1)
npc_1:SetDir(6)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("This is Fool`s Paradise. Although it`s not officially open yet, I`m confident it will become the most popular amusement park in Twin City!", 2500)
CppScriptMgr:WaitMilSec(2500)
Player_2:Say("Looks pretty good!", 1000)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("ty_ymz", 260, 201, 33, 1, 1, 1)
Effect_1:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(1000)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 267, 213, 33, 1, 1, 1)
Effect_2:Scale(2, 2, 2)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 261, 193, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 269, 188, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
local effect_2 = CppScriptMgr:AddEffect("zf2-e233", 283, 198, 33, 1, 1, 1)
effect_2:Scale(2, 2, 2)
local effect_3 = CppScriptMgr:AddEffect("zf2-e233", 282, 205, 33, 1, 1, 1)
effect_3:Scale(2, 2, 2)
local effect_4 = CppScriptMgr:AddEffect("zf2-e233", 279, 214, 33, 1, 1, 1)
effect_4:Scale(2, 2, 2)
local effect_5 = CppScriptMgr:AddEffect("zf2-e233", 260, 201, 33, 1, 1, 1)
effect_5:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(500)
local Player_3 = CppScriptMgr:AddPlayer(424, 267, 213, "", 0, 0)
Player_3:SetDir(4)
local Player_4 = CppScriptMgr:AddPlayer(490, 261, 193, "", 0, 0)
Player_4:SetDir(7)
Player_4:SetZoomPercent(150)
local Player_5 = CppScriptMgr:AddPlayer(495, 269, 188, "", 0, 0)
Player_5:SetDir(0)
local Player_6 = CppScriptMgr:AddPlayer(492, 283, 198, "", 0, 0)
Player_6:SetDir(1)
local Player_7 = CppScriptMgr:AddPlayer(459, 282, 205, "", 0, 0)
Player_7:SetDir(2)
Player_7:SetZoomPercent(150)
local Player_8 = CppScriptMgr:AddPlayer(299, 279, 214, "", 0, 0)
Player_8:SetDir(3)
local Player_9 = CppScriptMgr:AddPlayer(100, 260, 201, "", 0, 0)
Player_9:SetDir(6)
CppScriptMgr:WaitMilSec(2000)
Player_11:Say("Who are you? What do you want?", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("What do we want? Hahaha, you`ll find out soon enough!", 1500)
CppScriptMgr:WaitMilSec(2000)
Player_4:Say("So much joy! Perfect for the Grinning Group to play their games!", 1500)
CppScriptMgr:WaitMilSec(2000)
Player_6:Say("Agreed! I can`t wait!", 1500)
CppScriptMgr:WaitMilSec(2500)
Player_7:Say("Enjoy the taste of fear!", 1500)
CppScriptMgr:WaitMilSec(1550)
local effect_6 = CppScriptMgr:AddEffect("bombarrow", 271, 201, 33, 1, 1, 1)
effect_6:Scale(5, 5, 5)
CppScriptMgr:WaitMilSec(410)
npc_1:RunTo(262, 202)
CppScriptMgr:WaitMilSec(1040)
Player_3:SetHide(1)
Player_4:SetHide(1)
Player_5:SetHide(1)
Player_6:SetHide(1)
Player_7:SetHide(1)
Player_8:SetHide(1)
Player_9:SetHide(1)
CppScriptMgr:WaitMilSec(170)
CppScriptMgr:ClearEffect(Effect_1)
CppScriptMgr:WaitMilSec(870)
Player_1:SetDir(2)
Player_2:SetDir(2)
Player_11:SetDir(2)
CppScriptMgr:WaitMilSec(60)
npc_1:SetHide(0)
CppScriptMgr:WaitMilSec(930)
npc_1:Say("Oh no! Someone`s been killed!!", 5000)
CppScriptMgr:WaitMilSec(210)
local effect_7 = CppScriptMgr:AddEffect("vskieff_vmsue", 275, 205, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(300)
Player_11:SetHair(177, 0)
CppScriptMgr:WaitMilSec(270)
Player_11:SetHair(275, 1)
Player_11:SetArmet(275, 0, 1)
CppScriptMgr:WaitMilSec(3170)